public class AdvancedPoint2 {

	private double rho;
	private double theta;

	public AdvancedPoint2 (double x, double y){
			init(x,y);
		  }

	private void init(double x, double y) {
		rho = Math.hypot(x, y);
		theta = Math.atan2(x, y);
	}

	public double getX() {
		return rho * Math.cos(theta);
	}

	public void setX(double x) {
		init(x, getY());
	}

	public double getY() {
		return rho * Math.sin(theta);
	}

	public void setY(double y) {
		init(getX(), y);
	}

}
